Bug 1836692 - jq: rebuild for oniguruma rebase
Summary: jq: rebuild for oniguruma rebase
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: jq
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-17 22:00 UTC by Carl George 🤠
Modified: 2020-06-18 00:33 UTC (History)
6 users (show)

Fixed In Version: jq-1.6-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-18 00:33:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Carl George 🤠 2020-05-17 22:00:50 UTC
Description of problem:
I have proposed a rebase of the EPEL 7 oniguruma package [0].  This involves a change in the library soname, so jq will need to be rebuilt against the new soname.  This hasn't happened yet, I just wanted to give you a heads up.  If you would like to add me as a co-maintainer, I can handle the rebuild and will submit it in the same update as oniguruma.


Version-Release number of selected component (if applicable):
jq-1.6-1.el7.x86_64


Additional info:
[0]: https://lists.fedoraproject.org/archives/list/epel-devel@lists.fedoraproject.org/thread/CNSWLDLHTWAEA6NKVI6YO3KKFP4Z2GY5/

Comment 1 Carl George 🤠 2020-05-27 01:35:43 UTC
oniguruma-6.8.2-1.el7 has been built and is in a buildroot override.

https://bodhi.fedoraproject.org/overrides/oniguruma-6.8.2-1.el7

Please rebuild jq so I can include it in the update.  If I don't hear back by tomorrow I'll ask a proven packager to do it.

Comment 2 Carl George 🤠 2020-05-28 01:36:14 UTC
Rebuild is complete, waiting for bodhi to come back from an outage so I can submit the update.

https://koji.fedoraproject.org/koji/buildinfo?buildID=1516929

Comment 3 Fedora Update System 2020-05-28 17:31:36 UTC
FEDORA-EPEL-2020-101619ac61 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-101619ac61

Comment 4 Fedora Update System 2020-05-29 01:10:51 UTC
FEDORA-EPEL-2020-101619ac61 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-101619ac61

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-06-18 00:33:39 UTC
FEDORA-EPEL-2020-101619ac61 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.